1Inch Contracts API
API for 1Inch contracts. Every ABI item below is callable as its own Spectrum JSON-RPC method. See the Marketplace overview for how the method names are built.
Deployments
| Deployment | Chain | Address | Methods |
|---|---|---|---|
Offchain Oracle · Arbitrumoffchainoracle | Arbitrum | 0x000000…7f6786 | 3 |
Offchain Oracle · Avalancheoffchainoracle | Avalanche C Chain | 0x000000…7f6786 | 3 |
Offchain Oracle · Baseoffchainoracle | Base | 0x000000…7f6786 | 3 |
Offchain Oracle · BNB Chainoffchainoracle | Binance Smart Chain | 0x000000…7f6786 | 3 |
Offchain Oracle · Ethereumoffchainoracle | Ethereum | 0x000000…7f6786 | 3 |
Offchain Oracle · Polygonoffchainoracle | Polygon | 0x000000…7f6786 | 3 |
Methods
Offchain Oracle · Arbitrum
Functions
ReadgetRatespectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "arbitrum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRateToEthspectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "arbitrum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_arbitrum_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "arbitrum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_arbitrum_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
Offchain Oracle · Avalanche
Functions
ReadgetRateToEthspectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "avalanche",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRatespectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "avalanche",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_avalanche_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_avalanche_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "avalanche",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_avalanche_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
Offchain Oracle · Base
Functions
ReadgetRatespectrum_1inchcontractsapi_base_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_base_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "base",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRateToEthspectrum_1inchcontractsapi_base_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_base_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "base",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_base_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_base_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "base",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_base_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
Offchain Oracle · BNB Chain
Functions
ReadgetRatespectrum_1inchcontractsapi_bsc_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "bsc",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRateToEthspectrum_1inchcontractsapi_bsc_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "bsc",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_bsc_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_bsc_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "bsc",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_bsc_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
Offchain Oracle · Ethereum
Functions
ReadgetRatespectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "ethereum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRateToEthspectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "ethereum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_ethereum_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_ethereum_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "ethereum",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_ethereum_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
Offchain Oracle · Polygon
Functions
ReadgetRatespectrum_1inchcontractsapi_polygon_offchainoracle_call_getRate
Gets the rate of the srcToken to dstToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRate",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRate',
{
"args": [
"0x0000000000000000000000000000000000000001",
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "polygon",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRate",
"abiName": "getRate",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
dstToken | address |
useWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
ReadgetRateToEthspectrum_1inchcontractsapi_polygon_offchainoracle_call_getRateToEth
Gets the rate of the srcToken to ETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRateToEth",
"params": {
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRateToEth',
{
"args": [
"0x0000000000000000000000000000000000000001",
false
]
},
){
"data": {
"chain": "polygon",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_getRateToEth",
"abiName": "getRateToEth",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
"0"
]
}
}Inputs
| Name | Type |
|---|---|
srcToken | address |
useSrcWrappers | bool |
Outputs
| Name | Type |
|---|---|
weightedRateResult is scaled by 10**(18 - srcDecimals + dstDecimals) | uint256 |
Readoraclesspectrum_1inchcontractsapi_polygon_offchainoracle_call_oracles
Fetches list of oracles
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_oracles",
"params": {
"args": []
},
"id": 1
}'spectrum.marketplace.call(
'spectrum_1inchcontractsapi_polygon_offchainoracle_call_oracles',
{
"args": []
},
){
"data": {
"chain": "polygon",
"address": "0x00000000000d6ffc74a8feb35af5827bf57f6786",
"method": "spectrum_1inchcontractsapi_polygon_offchainoracle_call_oracles",
"abiName": "oracles",
"deploymentName": "offchainoracle",
"operation": "call",
"abiType": "function",
"outputs": [
[],
[]
]
}
}Outputs
| Name | Type |
|---|---|
allOracles | address[] |
oracleTypes | uint8[] |
